cmind/cluster/ragmanager/v1/internal_rag_quota_service.proto
Package: cmind.cluster.ragmanager.v1
Enums
DenialReason
DenialReason indicates why an ingestion request was denied.
| Value | Number | Description |
|---|---|---|
DENIAL_REASON_UNSPECIFIED | 0 | |
DENIAL_REASON_SERVICE_QUOTA_EXCEEDED | 1 | |
DENIAL_REASON_TENANT_QUOTA_EXCEEDED | 2 | |
DENIAL_REASON_CLUSTER_STORAGE_BLOCKED | 3 | |
DENIAL_REASON_CLUSTER_STORAGE_UNKNOWN | 4 | |
DENIAL_REASON_CLUSTER_MAPPING_MISSING | 5 |
Messages
UpdateUsageRequest
| Field | Type | Number | Description |
|---|---|---|---|
id | string | 1 | |
tenantId | string | 2 | |
usedBytes | int64 | 3 |
UpdateUsageResponse
| Field | Type | Number | Description |
|---|---|---|---|
remainingBytes | optional int64 | 1 | Remaining quota in bytes. Absent if unlimited. |
denialReason | optional DenialReason | 2 | If set, ingestion was denied for the given reason. When denied, remaining_bytes should be ignored. |
EnsureQuotaAvailableRequest
| Field | Type | Number | Description |
|---|---|---|---|
id | string | 1 | |
tenantId | string | 2 |
EnsureQuotaAvailableResponse
| Field | Type | Number | Description |
|---|---|---|---|
denialReason | optional DenialReason | 1 | If set, ingestion was denied for the given reason. |
Services
InternalRagQuotaService
InternalRagQuotaService provides cluster-internal endpoints without authentication. These methods are called by other services within the same namespace.
UpdateUsage
POST /cmind.cluster.ragmanager.v1.InternalRagQuotaService/UpdateUsage
Request: UpdateUsageRequest
Response: UpdateUsageResponse
EnsureQuotaAvailable
POST /cmind.cluster.ragmanager.v1.InternalRagQuotaService/EnsureQuotaAvailable
Request: EnsureQuotaAvailableRequest
Response: EnsureQuotaAvailableResponse